Summary: A GTK+ GUI builder.
Name: glade
Version: 0.6.4
Release: 10
Epoch: 1
License: GPL
URL: http://glade.gnome.org/
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/glade/glade-%{version}.tar.gz
Patch: glade-scrollkeeper-dtd.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Group: Development/Tools


%description
GLADE is a free user interface builder for GTK+ and the GNOME GUI
desktop. GLADE can produce C source code. Support for C++, Ada95,
Python, and Perl is also available, via external tools which process
the XML interface description files output by GLADE.

%prep
%setup -q
%patch -p0 -b .scrollkeeper-dtd

%build
%configure
make %{?_smp_mflags} PACKAGE_PIXMAPS_DIR=%{_datadir}/pixmaps/glade

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall PACKAGE_PIXMAPS_DIR=$RPM_BUILD_ROOT%{_datadir}/pixmaps/glade

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor net --delete-original         \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Extra                            \
  --add-category Application                                \
  --add-category Development                                \
  $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Development/glade.desktop

perl -pi -e 's/GTK+/GTK+ 1.2/' $RPM_BUILD_ROOT%{_datadir}/applications/net-glade.desktop

%find_lang %name

rm -rf $RPM_BUILD_ROOT%{_localstatedir}/{scrollkeeper,lib/scrollkeeper}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS TODO 
%{_bindir}/glade
%{_datadir}/applications
%{_datadir}/glade
%{_datadir}/pixmaps/glade
%{_datadir}/pixmaps/glade.png
%{_datadir}/gnome/help/glade
%{_datadir}/omf/glade

%changelog
* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec 02 2002 Elliot Lee <sopwith@redhat.com> 0.6.4-8
- Remove unpackaged files

* Tue Sep  3 2002 Nalin Dahyabhai <nalin@redhat.com> 0.6.4-7
- fixup URLs in package header (#63662)

* Tue Jul 30 2002 Havoc Pennington <hp@redhat.com>
- move desktop to /usr/share/applications and change tooltip to
  say GTK 1.2 #69406

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix a scrollkeeper validation bug

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Mar  4 2002 Havoc Pennington <hp@redhat.com>
- 0.6.4, fixes #60467

* Fri Jan 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide
- clean up /usr/share -> datadir stuff

* Wed Aug 15 2001 Alexander Larsson <alexl@redhat.com> 0.6.2-3
- Added help files to package.

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.
- Use _smp_mflags macro if applicable

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- New version.

* Thu Feb 22 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify
- use License instead of Copyright
- use %%{_tmppath}

* Tue Feb 21 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed install desktop menu icon.

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Elliot Lee <sopwith@redhat.com>
- Upgrade to 0.5.9

* Mon May 22 2000 Bill Nottingham <notting@redhat.com>
- use %%configure (ia64)

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- upgrade to 0.5.7

* Wed Feb 23 2000 Cristian Gafton <gafton@redhat.com>
- minor bug fixes from jrb

* Mon Feb 14 2000 Jonathan Blandford <jrb@redhat.com>
- Update to 0.5.6
- removed patch to revert desktop entry to Development.

* Fri Sep 17 1999 Elliot Lee <sopwith@redhat.com>
- Update to 0.5.3
- Merge in changes from upstream spec file (e.g. include locale files)

* Wed Aug 25 1999 Cristian Gafton <gafton@redhat.com>
- fixed the group description

* Fri Aug 20 1999 Michael Fulbright <drmike@redhat.com>
- moved desktop entry into 'Applications' from 'Development' on menu

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- Integrated into RH distribution

* Thu Aug 05 1999 Preben Randhol <randhol@pvv.org>
- Latest source 0.5.1

* Wed Jul 09 1999 Preben Randhol <randhol@pvv.org>
- Latest source 0.5.0

* Wed Apr 12 1999 Preben Randhol <randhol@pvv.org>
- Latest source

* Wed Mar 04 1999 Preben Randhol <randhol@pvv.org>
- 990304 Latest from CVS

